// --- [ global.h ] -----------------------------------------------------------

#define NO_ERROR			0
#define ERROR				1

#define TRUE				1
#define FALSE				0

#define TWI 				1
#define SPI					2

#define HARDWARE			1
#define SOFTWARE			0

#define ADXL_CONNECTION	SPI					// auswhlen: TWI oder SPI
														// Achtung: am ADXL muss im TWI-Mode der PIN ALT ADRESS
														// auf high gezogen werden fr TWI-ADR 0x1D !!
														
														// falls die SPI-Schnittstelle genutzt wird
#define SPI_MODE			HARDWARE				// auswhlen: SPI via Hardware oder Software

#define ADXL_BLOCK_SIZE	16						// die Gre eines Datenblocks bis zum -> Watermark-INT
														// siehe FIFO_CNTRL->samples
														
#define SINGLE				1						// mehrere vorbereitete Testmodes
#define EVENT				2						// siehe zugehrige ADXL_init() in ADXL.c
#define STREAM				3

#define ADXLMODE EVENT   //STREAM //SINGLE

														// Alarmfrequenz fr Summer im Modus EVENT
#define TONE_HIGH			48						// Frequenz = FCPU / (2 * PRESCALE * OCRA)
#define TONE_LOW			52						// bei 64:  3.686400 / (2 * 8 * 64) = 3600 Hz

#define DEBUG										// Register beim Programmstart ausgeben etc

/*
benutzte Anschlsse :

- bei allen Varianten:
  INT1 des ADXL an INT0 des Controllers
  INT2 des ADXL an INT1 des Controllers
  Summer an PD6

- SPI -> siehe soft_spi_master.h  bzw. spi_hard.c

- TWI -> SCL/SDA entsprechend der Hardware
  4.7k von SDA/SCL nach VCC
  Pin ALT ADRESS an ADXL nach VCC
  PIN CS an ADXL nach VCC


*/

// --- [ eof ] ----------------------------------------------------------------